Subject: RE: discussion topics for the mail list

From: "Hamid Ould-Brahim" <[email-masked]>
Date: Wed, 11 Jun 2003 13:08:33 -0400

Rick,

> 3. What direction should the WG take for L3 VPN authentication?
> draft-behringer-mpls-vpn-auth-02.txt has been discussed some. Earlier,
> the WG took a look at draft-bonica-l3vpn-auth-00.txt. Do we
> have a draft
> we want to adopt as a WG document?
>

I think this draft is already a ppvpn WG document renamed to
draft-ietf-ppvpn-l3vpn-auth-03.txt.
 
Hamid.

---

From: "Rick Wilder" <[email-masked]>
Date: Wed, 11 Jun 2003 15:06:09 -0400

Hamid,

The discussion is about the WG's take on the draft-behringer-mpls-vpn-auth-02.txt and how the 2 docs are related. Pardon the use of the old name for draft-ietf-ppvpn-l3vpn-auth-03.txt.

Rick

-----Original Message-----
From: Hamid Ould-Brahim [mailto:[email-masked]] 
Sent: Wednesday, June 11, 2003 11:09 AM
To: Rick Wilder; [email-masked]
Subject: RE: discussion topics for the mail list

Rick,
 
Hamid.

---

From: [email-masked]
Date: Wed, 11 Jun 2003 21:44:55 +0100

> I'd like to call a 2-week discussion period on this list for the
 > following topics:
 > 
 > 1. draft-heinanen-radius-pe-discovery-04.txt: Does this version
 > adequately address the Radius issues raised so that it can 
 > now become a WG document?

I support making the draft a WG document for the following reasons:

1. It is the only auto-discovery draft with inherent support for 
   CE authentication (which as already discussed on the list, is 
   considered more useful to some than others).

2. It limits the distribution of VPN information to only those PEs 
   that are members of a particular VPN (without having to use any 
   filtering).

3. It is extendible to distribute information in addition to LSP 
   src/dest addresses on a p2p basis (although there has been no 
   consensus if this is useful or not, it might be found to be 
   useful in the future).

Richard

---

From: [email-masked]
Date: Mon, 16 Jun 2003 18:06:28 +0100

Yakov,

Please can you give the reasons why you think the draft is not ready to be
made a WG document?

Thanks,
Richard

 > From: Yakov Rekhter [mailto:[email-masked]]
 > Sent: 16 June 2003 17:51
 > To: W. Mark Townsley
 > Cc: Kireeti Kompella; [email-masked]; [email-masked]
 > Subject: Re: discussion topics for the mail list
 > 
 > 
 > Mark,
 > 
 > > Kireeti Kompella wrote:
 > > >>>adequately address the Radius issues raised so that it 
 > can now become a
 > > >>>WG document?
 > > >>
 > > >>There has been a good bit of open technical 
 > participation on this list such
 > > >>that the document is taking on a WG tone already. Making 
 > it a WG document 
 > > >>seems to be the next logical step.
 > > > 
 > > > 
 > > > Sorry, Mark, the fact that there is a discussion/open technical
 > > > participation DOES NOT qualify the doc as a WG doc; by no stretch
 > > 
 > > What, would you instead count the number of people chiming in
 > > with "[I,My company] supports this draft" type comments?
 > > 
 > > I obviously thought that the technical participation thus 
 > far was supportive 
 > > of the document. But in case there is any question, I will restate:
 > > 
 > > "There has been a good bit of support and open technical 
 > participation on 
 > > this list such that the document is taking on a WG tone already."
 > > 
 > > > is "the next logical step" to make this a WG doc.  I 
 > think Rick is
 > > > doing the right thing in calling for WG consensus.
 > > 
 > > The actual question that should be raised is consensus of 
 > whether or not the 
 > > mechanism being proposed in general is something that the 
 > WG should and is 
 > > willing to address with a document or not. It certainly 
 > helps to have a 
 > > well-written and reviewed document to articulate this 
 > effectively and generate
 > > discussion, but the real focus should be on whether the 
 > topic at hand is a 
 > > legitimate WG effort more than on whether a given 
 > individual submission has 
 > > reached some level of readiness or not. 
 > 
 > We can argue on what should be the "the actual question that 
 > should be
 > raised", but that is *not* the topic of this discussion. 
 > This discussion is
 > about the specific document, namely 
 > draft-heinanen-radius-pe-discovery-04.txt.
 > 
 > Yakov.
 > 
 > P.S. Since Rick asked for WG consensus, I don't think that 
 > draft-heinanen-radius-pe-discovery-04.txt is ready to be the 
 > WG document.
 > 
 > 
 >

---

From: "Rick Wilder" <[email-masked]>
Date: Mon, 16 Jun 2003 13:45:55 -0400

My view of this process is that there was WG consensus behind this
document at the SF meeting and the mail list. Then specific issues were
raised, primarily by Bernard, about this solution's use of Radius. 

I think the main point to be discussed is whether the changes made by
this latest version of the document adequately address those concerns.
It seems only fair for people to have a chance to look at the changes
and comment, but I don't think we need to go back to square one unless
we have a specific and compelling reason (which I don't think I've
seen).

Rick

-----Original Message-----
From: Juha Heinanen [mailto:[email-masked]] 
Sent: Monday, June 16, 2003 11:10 AM
To: Yakov Rekhter
Cc: W. Mark Townsley; Kireeti Kompella; Rick Wilder;
[email-masked]

Yakov Rekhter writes:

 > draft-heinanen-radius-pe-discovery-04.txt is ready to be the WG
document.

could you be more specific, why you think that that is the case?  it
don't think that it is enough that someone doesn't like the idea, since
noone
likes every idea.  me for instance don't like any bgp based proposal,
but still i have not started a campaign against them, because i feel
that other people are free to do what they like and it doesn't bother
me.

-- juha

---

From: [email-masked]
Date: Mon, 16 Jun 2003 19:11:12 +0100

I support pursual of draft-heinanen-radius-pe-discovery-04.txt based on the
following reasoning:

I believe the base 'VPN problem' has the following functional building
blocks:

1	server layer discovery of access points that belong to a given
VPN....radius could provide a common functional component here across all
network modes.  A key observation here is that the server layer in question
must have its own layer network addressable access points and some agreed
method of VPN-ID 'name' generation;

2	server layer signalling to create data-plane connectivity between
above access points......I see the signalling chosen as being network mode
specific;
[1 and 2 effectively create a simple managed BW VPN in the server layer
network in question]

3	client layer reachability distribution.  This is a 'value-add'
feature agreed between SP and VPN customer.  BGP looks a good common choice
here across all modes.  Note - It does assume that the client layer has
'sensibly' structured addressing and its own robust routing protocol.

IMO draft-heinanen-radius-pe-discovery-04.txt is largely targetted at the
first of these functional components.

regards, Neil

> From: Rick Wilder [mailto:[email-masked]]
> Sent: 16 June 2003 18:46
> To: Juha Heinanen; Yakov Rekhter
> Cc: W. Mark Townsley; Kireeti Kompella; [email-masked]

---

From: [email-masked]
Date: Fri, 20 Jun 2003 21:35:37 +0100

Well said Mark....sorry bit late in response on this.  My mail queue is a
bit out of control.  I sincerely hope Juha does not 'retire' in totality as
our industry would be all the worse for this.

regards, Neil

> From: W. Mark Townsley [mailto:[email-masked]]
> Sent: 11 June 2003 22:57
> To: Kireeti Kompella
> Cc: [email-masked]; [email-masked]
> now become a
> >>There has been a good bit of open technical participation 
> on this list such that 
> >>the document is taking on a WG tone already. Making it a WG 
> document seems to be 
> >>the next logical step.
> > 
> > 
> I obviously thought that the technical participation thus far 
> was supportive of 
> the document. But in case there is any question, I will restate:
> 
> participation on this 
> list such that the document is taking on a WG tone already."
> 
> > is "the next logical step" to make this a WG doc.  I think Rick is
> mechanism being proposed in general is something that the WG 
> should and is 
> willing to address with a document or not. It certainly helps 
> to have a 
> discussion, but the real focus should be on whether the topic 
> at hand is a 
> legitimate WG effort more than on whether a given individual 
> submission has 
> reached some level of readiness or not. I think that plenty 
> of discussion was 
> generated during the previous 2 week call on this topic 
> already. I saw no need 
> to restate Richard Spencer's excellent summary of the results 
> of this discussion 
> and subsequent actions taken by Juha as an individual draft 
> author here:
> 
> http://standards.nortelnetworks.com/cgi-bin/wa.exe?A2=ind0305&
L=ppvpn&T=0&F=&S=&P=52918
http://standards.nortelnetworks.com/cgi-bin/wa.exe?A2=ind0305&L=ppvpn&T=0&F=
&S=&P=60930

This type of WG interaction (not to mention the show of hands at the last
IETF 
meeting that caused Juha to continue the work individually to begin with),
are 
all indications that there is strong potential for a productive WG effort,
and 
that at least some (perhaps significant) number of people consider this to
be a 
Good Thing. Not that there is consensus on every last issue the document
raises 
or it is in any sort of final form, but this particular call for consensus
comes 
before the document becomes an RFC, not before it becomes a WG document.

Finally, I will add now that given the fact that Juha is retiring, it seems
the 
perfect opportunity for the WG to adopt the work.

- Mark

> Kireeti.